import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class MyWorld extends World
{
    private GreenfootSound bgSound = new GreenfootSound("frontlin-Thomas_C-9529_hifi2.mp3");  
    int music = 1;

    public MyWorld(){  
        super(800, 600, 1); 
        //prepare(); // Comment this line out to set up splash screen
        setBackground(new GreenfootImage("microtank.png")); // Comment this line out to remove splash screen 
    }  

    public void started(){  
        if (getObjects(null).isEmpty())  
        {  
            setBackground("SandyHopscotch32.png");  
            prepare();
        }
    }  

    public void act()
    {
        if (music == 1) {
            //bgSound.playLoop(); // Remove when I get the static music working
        }
    }

    public void endGame()
    {
        removeObjects(getObjects(null));
        setBackground(new GreenfootImage("gameover.jpg"));  
        bgSound.stop();
        Greenfoot.playSound("Darkness-RepaidGa-10585_hifi.mp3");
        Greenfoot.stop();
    }

    //Prepare the world for the start of the program. That is: create the initial objects and add them to the world.
    private void prepare()
    {
        // Add Borders
        Vbar vbar = new Vbar();
        addObject(vbar, 0, 300);
        Vbar vbar2 = new Vbar();
        addObject(vbar2, 799, 300);
        Hbar hbar = new Hbar();
        addObject(hbar, 400, 20);
        Hbar hbar2 = new Hbar();
        addObject(hbar2, 400, 609);

        // Add Mute
        Mute mute = new Mute();
        addObject(mute, 770, 23);
        
        /** Add Capture Points
        Capture1 capture1 = new Capture1(); 
        addObject(capture1, 79, 122);
        Capture2 capture2 = new Capture2();
        addObject(capture2, 722, 497);
         */

        // Add Bonus
        // Bonus bonus = new Bonus();
        // addObject(bonus, 400, 200);

        /** // Add Center Walls  
        Wall wall0 = new Wall();
        addObject(wall0, 368, 260);
        Wall wall1 = new Wall();
        addObject(wall1, 472, 260);
        Wall wall2 = new Wall();
        addObject(wall2, 432, 260);
        Wall wall6 = new Wall();
        addObject(wall6, 472, 292);
        Wall wall3 = new Wall();
        addObject(wall3, 472, 324);
        Wall wall4 = new Wall();
        addObject(wall4, 472, 354);
        Wall wall5 = new Wall();
        addObject(wall5, 368, 354);
        Wall wall7 = new Wall();
        addObject(wall7, 432, 354);
         */

        // Add Player 1 Base
        Wall wall8 = new Wall();
        addObject(wall8, 28, 196);
        Wall wall9 = new Wall();
        addObject(wall9, 131, 196);
        Wall wall10 = new Wall();
        addObject(wall10, 163, 196);
        Wall wall11 = new Wall();
        addObject(wall11, 163, 164);
        Wall wall12 = new Wall();
        addObject(wall12, 163, 132);
        Wall wall20 = new Wall();
        addObject(wall20, 163, 100);
        Wall wall21 = new Wall();
        addObject(wall21, 163, 68);

        // Add Player 2 Base
        Wall wall13 = new Wall();
        addObject(wall13, 636, 423);
        Wall wall14 = new Wall();
        addObject(wall14, 668, 423);
        Wall wall15 = new Wall();
        addObject(wall15, 771, 423);
        Wall wall16 = new Wall();
        addObject(wall16, 636, 455);
        Wall wall17 = new Wall();
        addObject(wall17, 636, 487);
        Wall wall18 = new Wall();
        addObject(wall18, 636, 519);
        Wall wall19 = new Wall();
        addObject(wall19, 636, 551);

        /**
        // Add Fuel
        Fuel fuel = new Fuel();
        addObject(fuel, 368, 292);
        Fuel fuel2 = new Fuel();
        addObject(fuel2, 368, 324);
        Fuel fuel3 = new Fuel();
        addObject(fuel3, 432, 292);
        Fuel fuel4 = new Fuel();
        addObject(fuel4, 432, 324);
         */

        // Add Flag
        Flag flag = new Flag();
        addObject(flag, 400, 300);

        // Add Counters
        Counter1 counter1 = new Counter1();
        addObject(counter1, 79, 122);
        Counter2 counter2 = new Counter2();
        addObject(counter2, 722, 497);

        // Add Tank 1
        Tank1 tank1 = new Tank1(); // creates a new tank object (and sets it to local field)  
        addObject(tank1, 33, 73); // adds tank to world  
        tank1.setRotation(45);
        addObject(new Turret1(tank1), 33, 73); // adds new turret to world (passing the tank object it belongs to in the constructor call)  

        // Add Tank 2
        Tank2 tank2 = new Tank2(); // creates a new tank object (and sets it to local field)  
        addObject(tank2, 765, 545); // adds tank to world  
        tank2.setRotation(225);
        addObject(new Turret2(tank2), 766, 546); // adds new turret to world (passing the tank object it belongs to in the constructor call)  

    }
}